summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xMakefile9
-rwxr-xr-xscripts/Makefile19
2 files changed, 26 insertions, 2 deletions
diff --git a/Makefile b/Makefile
index 2837eac..711d3c0 100755
--- a/Makefile
+++ b/Makefile
@@ -4,8 +4,10 @@ NEWRELEASE = $(shell echo $$(($(RELEASE) + 1)))
MESSAGESPOT=po/messages.pot
-DIRS = modules minion overlord func docs
-PYDIRS = modules minion overlord func
+DIRS = modules minion overlord func docs scripts
+PYDIRS = modules minion overlord func scripts
+EXAMPLEDIR = examples
+INITDIR = init-scripts
all: rpms
@@ -77,6 +79,9 @@ pychecker:
pyflakes:
-for d in $(PYDIRS); do ($(MAKE) -C $$d pyflakes ); done
+money: clean
+ -sloccount $(PYDIRS) $(EXAMPLEDIR) $(INITDIR)
+
rpms: build manpage sdist
mkdir -p rpm-build
cp dist/*.gz rpm-build/
diff --git a/scripts/Makefile b/scripts/Makefile
new file mode 100755
index 0000000..86a3db8
--- /dev/null
+++ b/scripts/Makefile
@@ -0,0 +1,19 @@
+
+
+PYFILES = $(wildcard *.py)
+
+PYCHECKER = /usr/bin/pychecker
+PYFLAKES = /usr/bin/pyflakes
+
+clean::
+ @rm -fv *.pyc *~ .*~ *.pyo
+ @find . -name .\#\* -exec rm -fv {} \;
+ @rm -fv *.rpm
+
+
+pychecker::
+ @$(PYCHECKER) $(PYFILES) || exit 0
+
+pyflakes::
+ @$(PYFLAKES) $(PYFILES) || exit 0
+